LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sheet::SolverObjectiveType Constant Group Reference

Specifies the objective type of the solver model. More...

## Variables
const byte | MAXIMIZE = 0
| Maximizes the objective function. More...
const byte | MINIMIZE = 1
| Minimizes the objective function. More...
const byte | VALUE = 2
| Finds a solution where the objective function has a given value. More...

## Detailed Description

Specifies the objective type of the solver model.

Since
  LibreOffice 25.2

## Variable Documentation

## ◆ MAXIMIZE

const byte MAXIMIZE = 0

Maximizes the objective function.

## ◆ MINIMIZE

const byte MINIMIZE = 1

Minimizes the objective function.

## ◆ VALUE

const byte VALUE = 2

Finds a solution where the objective function has a given value.